<?php
/*
*
* @copyright Copyright (C) 2007 - 2012 RuposTel - All rights reserved.
* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
* GeoLocator is free software released under GNU/GPL  This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* 
* This php file was create by www.rupostel.com team
*/
class geoHelper 
{

  // returns 2 letter country code
  function getCountry2Code($ip="")
  {

    if (empty($ip))
    {
    if (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))
    $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    else
    if (empty($ip) && (!empty($_SERVER['REMOTE_ADDR']))) 
    $ip = $_SERVER['REMOTE_ADDR'];
    }

    
    if (!empty($ip))
    {

     $db =& JFactory::getDBO();
     // ipnum = 16777216*w + 65536*x + 256*y + z
	 // IP Address = w.x.y.z
     $arr = explode('.', $ip); 
	 if (count($arr)<4) return false;
	 $ipl = (16777216*$arr[0])+(65536*$arr[1])+(256*$arr[2])+$arr[3]; 
     //$ipl = ip2long($ip); 
     //echo $ipl;
     $q = 'select country_2_code from #__geodata where longstart <= '.$ipl.' and longend >= '.$ipl.' limit 0,1'; 
     //echo $q;
     $db->setQuery($q); 
     $res = $db->loadAssoc(); 
     //$err = $db->getErrorMsg(); 
     //if (!empty($err)) echo $err;
     if (empty($res)) return false;

     return $res['country_2_code']; 
    }
    
   return false;    
  }
  // returns EN name of the country
  function getCountry($ip='')
  {
    if (empty($ip))
    {
    if (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))
    $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    else
    if (empty($ip) && (!empty($_SERVER['REMOTE_ADDR']))) 
    $ip = $_SERVER['REMOTE_ADDR'];
    }

    
    if (!empty($ip))
    {

     $db =& JFactory::getDBO(); 

     $arr = explode('.', $ip); 
	 if (count($arr)<4) return false;
	 $ipl = (16777216*$arr[0])+(65536*$arr[1])+(256*$arr[2])+$arr[3]; 

     //echo $ipl;
     $q = 'select country_name from #__geodata where longstart <= '.$ipl.' and longend >= '.$ipl.' limit 0,1'; 
     //echo $q;
     $db->setQuery($q); 
     $res = $db->loadAssoc(); 
     //$err = $db->getErrorMsg(); 
     //if (!empty($err)) echo $err;
     if (empty($res)) return false;

     return $res['country_name']; 
    }
    
   return false;     
  }
  
  // returns false on failture and array with geodata if found
  function getGeoData($ip)
  {
      if (empty($ip))
    {
    if (!empty($_SERVER['HTTP_X_FORWARDED_FOR']))
    $ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
    else
    if (empty($ip) && (!empty($_SERVER['REMOTE_ADDR']))) 
    $ip = $_SERVER['REMOTE_ADDR'];
    }

    
    if (!empty($ip))
    {

     $db =& JFactory::getDBO(); 
     $ipl = ip2long($ip); 
     //echo $ipl;
     $q = 'select * from #__geodata where longstart <= '.$ipl.' and longend >= '.$ipl.' limit 0,1'; 
     //echo $q;
     $db->setQuery($q); 
     $res = $db->loadAssoc(); 
     //$err = $db->getErrorMsg(); 
     //if (!empty($err)) echo $err;
     if (empty($res)) return false;

     return $res; 
    }
    
   return false;    
  }
}